IPv6 setup script ... doesn't work!!

Fafa Diliha Romanova fteg at london.com
Wed Mar 9 03:58:16 PST 2005


Hello!

I just registered with BTExact, and they sent me ipv6.sh:

#!/bin/sh

case "$1" in

  start)
#    ifconfig gif create
     gifconfig gif0 inet 213.187.181.70 213.121.24.85
     ifconfig gif0 inet6 2001:618:400::d5bb:b546 prefixlen 128
     route add -inet6 default fe80::%gif0
     ifconfig fxp0 inet6 2001:618:400:6ad9:: prefixlen 64
     sysctl ?w net.inet6.ip6.forwarding=1
     /usr/sbin/rtadvd fxp0
     echo "IPv6 activation complete!" ||
     { echo "IPv6 activation failed!" 1>&2; exit 1; }
     ;;

  stop)
     killall -m rtadvd
     sysctl -w net.inet6.ip6.forwarding=0
     ifconfig fxp0 inet6 2001:618:400:6ad9:: prefixlen 64 delete
     route delete -inet6 default fe80::%gif0
     ifconfig gif0 inet6 2001:618:400::d5bb:b546 prefixlen 128 delete
     gifconfig gif0 delete
     echo "IPv6 deactivation complete!" ||
     { echo "IPv6 deactivation failed!" 1>&2; exit 1; }
     ;;

  restart)
     $0 stop
     echo Pausing 5 seconds before restart ...
     sleep 5
     $0 start
     ;;

  *)
  echo "Usage: $0 {start|stop|restart}"
  exit 1

esac
exit 0

I get this when I run it:

gifconfig: not found
ifconfig: interface gif0 does not exist
fe80::%gif0: bad value
ifconfig: interface fxp0 does not exist
sysctl: unknown oid '?w'
IPv6 activation complete!

I have this configuration in /etc/rc.conf:

# *** IPv6 configuration
#
gif_interfaces="gif0"
ipv6_enable="YES"
ipv6_gateway_enable="YES"
ipv6_defaultrouter="-interface gif0"
ipv6_network_interfaces="gif0 lnc0 ep0"
ipv6_firewall_enable="YES"
ipv6_firewall_type="open"
rtadvd_enable="YES"
rtadvd_interfaces="ep0"

Where did I go wrong?

Thanks! And all the best,
-- from Fafa!

-- 
___________________________________________________________
Sign-up for Ads Free at Mail.com
http://promo.mail.com/adsfreejump.htm



More information about the freebsd-questions mailing list